<?php
/**
 * Created by PhpStorm.
 * User: konstantin
 * Date: 1/29/18
 * Time: 12:35 PM
 */

class ActionLog extends CAction
{

    public function run($widget) {

        $widget->controller->pageTitle = $widget->pluginName . ' • Log';

        $hash = Yii::app()->request->getParam('hash', null);

        $partner = null;

        if($decrypted = Encryption::getInstance()->decrypt(str_replace(' ', '+', $hash))) {

            $partnerData = explode('~', $decrypted);

            if(count($partnerData) == 2) {

                /**
                 * If decrypted data is correct but we can't find partner by its name and ID then log out
                 */
                $partner = Partner::model()->findByAttributes(array(
                        'name' => isset($partnerData[0]) ? $partnerData[0] : null,
                        'id'=> isset($partnerData[1]) ? $partnerData[1] : null)
                );

            }

        }

        /**
         * If we can't get partner by provided hash then logout
         */
        if(!$partner && $hash) {
            Yii::app()->getController()->redirect(Yii::app()->getController()->createUrl('/logout'));
        }

        $model = new Log('search');

        $model->unsetAttributes();  // clear any default values
        if (isset($_GET['Log']))
            $model->attributes = $_GET['Log'];

        /**
         * If we found partner then filter log table by its name and hide partner column
         */
        if($partner) {
            $model->partner = $partner->name;
        }

        $breadcrumbs = array(
            CHtml::link('Home', 'nTransitPlugin'),
            'Log'
        );
        if ($hash) {
            array_shift($breadcrumbs);
        }

        return $widget->render('standalone', array(
            'breadcrumbs' => $widget->render('breadcrumbs', array('LIST'=>NtransitHelper::getBreadcrumbs(
                $breadcrumbs
            ))),

            'header' => '<i class="fa fa-history" aria-hidden="true"></i> Log',
            'imgPath' => $widget->imgFolder,
            'result' => null,
            'content' => $widget->render('log', array(
                'model' => $model,
                'partner' => $partner,
            )),
        ));
    }

}