<?php
/**
 * Created by PhpStorm.
 * User: konstantin
 * Date: 1/29/18
 * Time: 3:12 PM
 */

class ActionSettings extends CAction
{

    public function run($widget)
    {

        $widget->controller->pageTitle = $widget->pluginName . ' • Settings';

        $model = new SettingsForm;
        $model->attributes = $this->getSettings();

        if (isset($_POST['SettingsForm'])) {

            $model->attributes = $_POST['SettingsForm'];

            if($model->validate() && $this->setSettings($model)) {
                $action = 'ActionIndex';
                $actionObject = new $action($widget->controller, 'ActionIndex');

                return $actionObject->run($widget);
            }
        }

        CHtml::$errorCss = 'is-invalid';

        return $widget->render('standalone', array(
            'content' => $widget->render('settings', array(
                'model' => $model,
            )),
            'breadcrumbs' => $widget->render('breadcrumbs', array('LIST'=>NtransitHelper::getBreadcrumbs(array(
                CHtml::link('Home', 'nTransitPlugin'),
                'Settings'
            )))),
            'header' => '<i class="fa fa-cog" aria-hidden="true"></i> Settings',
            'imgPath' => $widget->imgFolder,
        ));

    }

    /**
     * @param $settings SettingsForm
     * @return bool
     * @throws Exception
     */
    private function setSettings($settings) {

        $config = Config::model()->find(array('order'=>'id ASC'));
        if(!$config) {
            $config = new Config();
        }

        $config->data = json_encode($settings->attributes);
        $result = $config->save();

        if(!$result) {
            throw new Exception("Can't save config data " . print_r($config->getErrors()));
        }

        return $result;
    }

    /**
     * @return array|mixed|null
     */
    private function getSettings() {
        $config = Config::model()->find(array('order'=>'id ASC'));
        return $config ? json_decode($config->data, true) : array();
    }

}