<?php
/**
 * CLinkPagerBootstrap class file.
 *
 * @author Konstantin Komarov <kkomarov@gmail.com>
 */

/**
 * CLinkPagerBootstrap extends CLinkPager to support Bootstrap 4 layout
 *
 * @author Konstantin Komarov <kkomarov@gmail.com>
 */
class CLinkPagerBootstrap extends CLinkPager
{

    public $linkClass = 'page-link';


    /**
     * Creates a page button.
     * You may override this method to customize the page buttons.
     * @param string $label the text label for the button
     * @param integer $page the page number
     * @param string $class the CSS class for the page button.
     * @param boolean $hidden whether this page button is visible
     * @param boolean $selected whether this page button is selected
     * @return string the generated button
     */
    protected function createPageButton($label,$page,$class,$hidden,$selected)
    {
        if($hidden || $selected)
            $class.=' '.($hidden ? $this->hiddenPageCssClass : $this->selectedPageCssClass);
        return '<li class="'.$class.'">'.CHtml::link($label,$this->createPageUrl($page), array('class'=>$this->linkClass)).'</li>';
    }

}
