<?php
/**
 * Created by PhpStorm.
 * User: konstantin
 * Date: 5/14/18
 * Time: 5:09 PM
 */

class AActiveRecord extends CActiveRecord
{
    public static $ntransitDb;

    /**
     * Returns the database connection used by active record.
     * By default, the "db" application component is used as the database connection.
     * You may override this method if you want to use a different database connection.
     * @return CDbConnection the database connection used by active record.
     * @throws CDbException if "db" application component is not defined
     */
    public function getDbConnection()
    {
        self::$ntransitDb = $this->getDb();

        if (self::$ntransitDb instanceof CDbConnection)
            return self::$ntransitDb;
        else
            throw new CDbException(Yii::t('yii', 'Active Record requires a "db" CDbConnection application component.'));
    }

    private function getDb()
    {
        $dbFile = dirname(__FILE__) . '/../../../data/ntransit.db';

        /**
         * copy empty database if real database is not available (fresh install)
         */
        if (!is_file($dbFile)) {

            $emptyDbFile = dirname(__FILE__) . '/../../../data/empty_ntransit.db';

            if (is_file($emptyDbFile)) {
                copy($emptyDbFile, $dbFile);
            }

        }

        if(!is_file($dbFile)) {
            throw new CDbException(Yii::t('yii', "Database file \"$dbFile\" not found"));
        }

        return new CDbConnection('sqlite:' . $dbFile);
    }


}