<?php
/**
 * Created by PhpStorm.
 * User: konstantin
 * Date: 2/23/18
 * Time: 2:13 PM
 */

$toFromFields = array('From', 'Name', 'Recipients', 'CCRecipients', 'BCCRecipients', 'Subject');
?>

<?php $form = $this->beginWidget('CActiveForm', array(
    'htmlOptions' => array('class' => 'import-form'),
    'action' => Yii::app()->createUrl('admin/plugin/nTransitPlugin') . '?action=import',
)); ?>
<?php

if (isset($data['formErrors']) && !empty($data['formErrors'])) { ?>
    <div class="alert alert-warning" role="alert">
        <h4 class="alert-heading"><?php echo $data['formErrors'] ?> validarion error(s) found!</h4>
        <p>Please review partner settings</p>
        <!--        <hr>-->
        <!--        <p class="mb-0">Import will overwrite its settings!</p>-->
    </div>
<?php } ?>

    <div class="card mb-5">
        <div class="card-body">
            <h5 class="card-title">Importing partners configuration from nTransit 4</h5>
            <h6 class="card-subtitle mb-2 text-muted">Location: <?php echo PortalDI::getInstance()->getHost() ?>/ntransit</h6>
            <p class="card-text"><?php echo count($data['partners'])?> partner(s) found</p>
            <a href="<?php echo $ntransit4Location?>/napc/ntransit/admin.cgi" class="card-link" target="_blank">Open nTransit 4</a>
        </div>
    </div>

    <div class="alert alert-warning hidden" role="alert">
        <h4 class="alert-heading">Please fix the following input errors</h4>
        <p id="validation-errors"></p>
    </div>



<?php foreach ($data['partners'] as $i => $model) {
    $exists = preg_grep( "/".$model->name."/i" , $data['existing']); ?>

    <div class="card <?php echo $exists ? 'border-danger' : ''?> mb-<?php echo $i == count($data['partners'])-1 ? '10' : '3'?>">
        <div class="card-body">

            <?php echo $form->hiddenField($model, "[$i]name",
                array('class' => 'form-control form-control-sm partner-name', 'readonly' => 'readonly')) ?>

            <h2 class="card-title d-inline-block"><?php echo $model->name ?></h2>

            <div class="d-inline-block ml-5">
                <input class="form-check-input" type="checkbox" id="PartnerFormFull_<?php echo $i ?>_import"
                    <?php echo !$exists ? 'checked="checked" value="true"' : ''?> name="PartnerFormFull[<?php echo $i?>][import]">
                <label class="form-check-label" for="PartnerFormFull_<?php echo $i ?>_import">
                    Import
                </label>
            </div>

            <!--                    <h6 class="card-subtitle mb-2 text-muted">Card subtitle</h6>-->
            <div class="card-text">

                <?php if($exists) { ?>
                    <div class="alert alert-danger" role="alert">
                        <h4 class="alert-heading">Warning!</h4>
                        <p>Partner with name "<?php echo $model->name ?>" already exists in nTransit 5!</p>
                        <hr>
                        <p class="mb-0">Import will overwrite its settings!</p>
                    </div>
                <? } ?>

                <div class="alert alert-warning hidden" role="alert">
                    <h4 class="alert-heading">Please fix the following input errors</h4>
                    <p class="validation-errors"></p>
                </div>

<!--                --><?php //echo $form->errorSummary($model,
//                    '<h4 class="alert-heading">Please fix the following input errors</h4>', null,
//                    array('class'=>'alert alert-warning', 'role'=>'alert')); ?>

                <div class="row">
                    <div class="col-6">
                        <h5><i class="fa fa-address-card" aria-hidden="true"></i> Base Info</h5>

                        <div class="form-row">
                            <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]to_partner"); ?></div>
                            <div class="col-md-8 mb-3">
                                <?php echo $form->textField($model, "[$i]to_partner",
                                    array('class' => 'form-control form-control-sm', 'readonly' => 'readonly')) ?>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]from_partner"); ?></div>
                            <div class="col-md-8 mb-3">
                                <?php echo $form->textField($model, "[$i]from_partner",
                                    array('class' => 'form-control form-control-sm', 'readonly' => 'readonly')) ?>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]volume"); ?></div>
                            <div class="col-md-8 mb-3">
                                <?php echo $form->textField($model, "[$i]volume",
                                    array('class' => 'form-control form-control-sm', 'readonly' => 'readonly')) ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <h5><i class="fa fa-folder-open-o" aria-hidden="true"></i> Folder settings</h5>

                        <div class="form-row">
                            <div class="col-md-4 mb-3">
                                <?php echo $form->labelEx($model, "[$i]deliveryType"); ?>
                            </div>

                            <div class="col-md-8 mb-3">
                                <?php echo $form->radioButtonList($model, "[$i]deliveryType",
                                    array('0' => 'Deliver only folders', '1' => 'Deliver files separately'),
                                    array('uncheckValue' => $model->deliveryType,
                                        'template' => '<div class="form-check form-check-inline">{input}{label}</div>',
                                        'labelOptions' => array('class' => 'form-check-label'),
                                        'separator' => ' ', 'class' => 'form-check-input', 'readonly' => 'readonly')) ?>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-md-4 mb-3">
                                <?php echo $form->labelEx($model, "[$i]folderLifespan"); ?>
                            </div>

                            <div class="col-md-8 mb-3">
                                <?php echo $form->textField($model, "[$i]folderLifespan",
                                    array('class' => 'form-control form-control-sm', 'readonly' => 'readonly')) ?>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-md-4 mb-3">
                                <h5><i class="fa fa-link" aria-hidden="true"></i> Link Settings</h5>
                            </div>

                            <div class="col-md-8 mb-3">
                                <div class="form-check form-check-inline">
                                    <?php echo $form->checkBox($model, "[$i]hires", array(
                                        'uncheckValue' => $model->hires,
                                        'class' => 'form-check-input')) ?>
                                    <?php echo $form->labelEx($model, "[$i]hires", array('class' => 'form-check-label')); ?>
                                </div>
                                <div class="form-check form-check-inline">
                                    <?php echo $form->checkBox($model, "[$i]preview", array(
                                        'uncheckValue' => $model->preview,
                                        'class' => 'form-check-input')) ?>
                                    <?php echo $form->labelEx($model, "[$i]preview", array('class' => 'form-check-label')); ?>
                                </div>
                                <div class="form-check form-check-inline">
                                    <?php echo $form->checkBox($model, "[$i]stream", array(
                                        'uncheckValue' => $model->stream,
                                        'class' => 'form-check-input')) ?>
                                    <?php echo $form->labelEx($model, "[$i]stream", array('class' => 'form-check-label')); ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-md-4 mb-3">
                                <h5><i class="fa fa-download" aria-hidden="true"></i> Download Notification Receipts
                                </h5>
                            </div>

                            <div class="col-md-8 mb-3">
                                <?php echo $form->textField($model, "[$i]downloadRecipients",
                                    array('class' => 'form-control form-control-sm', 'readonly' => 'readonly')) ?>
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-md-4 mb-3">
                                <label class="form-check-label">Notify On</label>
                            </div>

                            <div class="col-md-8 mb-3">
                                <div class="form-check form-check-inline">
                                    <?php echo $form->checkBox($model, "[$i]downloadHiresStream", array(
                                        'uncheckValue' => $model->downloadHiresStream,
                                        'class' => 'form-check-input')) ?>
                                    <?php echo $form->labelEx($model, "[$i]downloadHiresStream",
                                        array('class' => 'form-check-label')); ?>
                                </div>
                                <div class="form-check form-check-inline">
                                    <?php echo $form->checkBox($model, "[$i]downloadPreview", array(
                                        'uncheckValue' => $model->downloadPreview,
                                        'class' => 'form-check-input')) ?>
                                    <?php echo $form->labelEx($model, "[$i]downloadPreview",
                                        array('class' => 'form-check-label')); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-6">
                        <a class="d-inline-block" style="text-decoration: none" data-toggle="collapse"
                           href="#collapseReceived<?php echo $i ?>" role="button"
                           data-target=".multi-collapse<?php echo $i ?>" aria-expanded="false"
                           aria-controls="collapseSent<?php echo $i ?> collapseReceived<?php echo $i ?>">
                            <h5 style="border-bottom: 1px dotted"><i class="fa fa-paper-plane-o"></i> Item Sent</h5></a>

                        <div class="collapse multi-collapse<?php echo $i ?>" id="collapseSent<?php echo $i ?>">
                            <?php
                            foreach ($toFromFields as $field) {
                                $isInvalid = isset($model->errors["sent$field"]);
                                ?>
                                <div class="form-row">
                                    <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]sent$field"); ?></div>
                                    <div class="col-md-8 mb-3">
                                        <?php echo $form->textField($model, "[$i]sent$field",
                                            array('class' => 'form-control form-control-sm ' .
                                                ($isInvalid ? 'is-invalid' : ''),
//                                                'placeholder' => '111',
                                                'readonly' => !$isInvalid)) ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="form-row">
                                <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]sentMessage"); ?></div>
                                <div class="col-md-8 mb-3">
                                    <?php echo $form->hiddenField($model, "[$i]sentMessage") ?>
                                    <div class="form-control form-control-sm" readonly="readonly">
                                        <?php echo nl2br(stripcslashes(CHtml::encode($model->sentMessage))) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <a class="d-inline-block" style="text-decoration: none" data-toggle="collapse"
                           href="#collapseReceived<?php echo $i ?>" role="button"
                           data-target=".multi-collapse<?php echo $i ?>" aria-expanded="false"
                           aria-controls="collapseSent<?php echo $i ?> collapseReceived<?php echo $i ?>">
                            <h5 style="border-bottom: 1px dotted"><i class="fa fa-inbox" aria-hidden="true"></i> Item
                                Received</h5></a>

                        <div class="collapse multi-collapse<?php echo $i ?>"
                             id="collapseReceived<?php echo $i ?>">
                            <?php
                            foreach ($toFromFields as $field) {?>
                                <div class="form-row">
                                    <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]received$field"); ?></div>
                                    <div class="col-md-8 mb-3">
                                        <?php echo $form->textField($model, "[$i]received$field",
                                            array('class' => 'form-control form-control-sm', 'readonly' => 'readonly')) ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="form-row">
                                <div class="col-md-4 mb-3"><?php echo $form->labelEx($model, "[$i]receivedMessage "); ?></div>
                                <div class="col-md-8 mb-3">
                                    <?php echo $form->hiddenField($model, "[$i]receivedMessage") ?>
                                    <div class="form-control form-control-sm" readonly="readonly">
                                        <?php echo nl2br(stripcslashes(CHtml::encode($model->receivedMessage))) ?>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="import-errors"></div>

        </div>
    </div>
<?php } ?>

    <div id="triggers" class="hidden mb-10">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Triggers</h4>
                <p class="card-text"></p>
            </div>
        </div>
    </div>

    <div class="fixed-bottom bg-light p-3 pl-4">

        <div class="row">

            <div class="col-12 col-sm-12 col-md-4 col-lg-3 col-xl-2">
                <?php echo CHtml::submitButton('Import', array('class' => 'btn btn-primary', 'id'=>'submit-import')); ?>
                <?php echo CHtml::link('Cancel', Yii::app()->createUrl('admin/plugin/nTransitPlugin'), array('class' => 'btn btn-secondary ml-2')); ?>
            </div>

            <div class="col-12 col-sm-12 col-md-5 col-lg-5 col-xl-5 progress-col hidden">
                Progress: <span id="current-step"></span>
                <div class="progress hidden">
                    <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
                         aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0"></div>
                </div>
            </div>
        </div>

    </div>

<?php $this->endWidget(); ?>