<div class="row mt-2">
    <div class="col-10 col-sm-12 col-md-6 col-lg-5 col-xl-3">

        <div class="card" style="width: 100%">
            <div class="card-body">
                <h5 class="card-title"><?php echo $model->name ?></h5>
                <h6 class="card-subtitle mb-2 text-muted">
                </h6>
                <p class="card-text">
                </p>
            </div>
            <ul class="list-group list-group-flush">

                <li class="list-group-item"><span class="badge badge-primary">Out Folder</span> <span
                            class="font-weight-bold">
                        <?php echo $model->volume . '/' . $model->name . '/' . $model->to_partner ?></span>
                    <small id="emailHelp" class="form-text text-muted">Items sent from you to the partner
                    </small>
                </li>

                <li class="list-group-item"><span class="badge badge-primary">In Folder</span> <span
                            class="font-weight-bold">
                        <?php echo $model->volume . '/' . $model->name . '/' . $model->from_partner ?></span>
                    <small id="emailHelp" class="form-text text-muted">Items sent to you from the partner
                    </small>
                </li>
                <li class="list-group-item"><span class="badge badge-primary">Volume</span> <span
                            class="font-weight-bold">
                        <?php echo $model->volume . '/' . $model->name ?></span>
            </ul>
            <div class="card-body">
                <p class="card-text">
                    <small class="text-muted">Created —
                        <?php echo Yii::app()->dateFormatter->formatDateTime($model->created, 'medium') ?> by
                        <?php echo $model->creator ?></small>
                </p>

                <?php if ($model->updated) { ?>
                    <p class="card-text">
                        <small class="text-muted">Updated —
                            <?php echo Yii::app()->dateFormatter->formatDateTime($model->updated, 'medium') ?> by
                            <?php echo $model->updater ?></small>
                    </p>

                <?php } ?>
            </div>

        </div>
    </div>

    <div class="col-10 col-sm-12 col-md-6 col-lg-7 col-xl-9">


        <nav id="partner-navbar" class="navbar navbar-light bg-light">
            <ul class="nav nav-pills">
                <li class="nav-item">
                    <a class="nav-link" href="#security">Security</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#foldersettings">Folder settings</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#linksettings">Link Settings</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#sentmessage">Item Sent</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#downloadnotification">Download Notification Receipts</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#itemreceived">Item Received</a>
                </li>
            </ul>
        </nav>
        <?php $form = $this->beginWidget('CActiveForm', array(
            'action' => Yii::app()->createUrl('admin/plugin/nTransitPlugin') . '?action=update&id=' . $model->id,
            'id' => 'partner-form',
            'enableClientValidation' => true,
            'clientOptions' => array(
                'validateOnSubmit' => true,
            ),
            'htmlOptions' => array(
                'class' => 'scrollspy pl-1',
                'data-spy' => 'scroll',
                'data-target' => '#partner-navbar',
                'data-offset' => '50',
                'id' => 'scrollspy'
            )
        )); ?>

            <!-- FOLDER SETTINGS -->
            <h5 id="foldersettings">Folder settings</h5>
            <div class="mb-4 position-relative">
                <?php echo $form->hiddenField($model, 'id') ?>

                <div class="form-group">
                    <?php echo $form->labelEx($model, 'folderLifespan'); ?>
                    <?php echo $form->dropDownList($model, 'folderLifespan', array(
                        "30" => '30 mins after',
                        "60" => '1 hr after',
                        "360" => '6 hrs after',
                        "720" => '12 hrs after',
                        "1440" => '24 hrs after',
                        "4320" => '3 days after',
                        "10080" => '1 week after',
                        "20160" => '2 weeks after',
                        "43200" => '30 days after',
                        "129600" => '90 days after',
                    ), array('class' => 'form-control w-25')); ?>
                    <?php echo $form->error($model, 'folderLifespan', array('class' => 'text-danger')); ?>
                </div>

            </div>

            <!-- LINK SETTINGS -->
            <h5 id="linksettings">Link Settings</h5>
            <div class="position-relative mb-3">
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <?php echo $form->checkbox($model, 'partnerHasSite') ?>
                        <?php echo $model->getAttributeLabel('partnerHasSite') ?>
                    </label>
                </div>
            </div>

            <!-- ITEM SENT -->
            <h5 id="sentmessage">Item Sent</h5>
            <div class="position-relative">
                <small id="passwordHelpBlock" class="form-text text-muted">
                    Use this section to configure an email that is sent to the partner when new items are placed into
                    the "To" folder.
                </small>

                <div class="row mt-2">
                    <div class="col-10">

                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <?php echo $form->labelEx($model, 'sentFrom'); ?>
                                    <?php echo $form->textField($model, 'sentFrom', array(
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter email',
                                        'maxlength' => 255
                                    )) ?>
                                    <?php echo $form->error($model, 'sentFrom', array('class' => 'text-danger')); ?>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <?php echo $form->labelEx($model, 'sentName'); ?>
                                    <?php echo $form->textField($model, 'sentName', array(
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter contact name',
                                        'maxlength' => 255
                                    )) ?>
                                    <?php echo $form->error($model, 'sentName', array('class' => 'text-danger')); ?>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <?php echo $form->labelEx($model, 'sentRecipients'); ?>
                                    <?php echo $form->textField($model, 'sentRecipients', array(
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter email(s)',
                                        'aria-describedby' => 'sentFromHelp',
                                        'maxlength' => 255
                                    )) ?>
                                    <small id="sentFromHelp" class="form-text text-muted">separated by commas</small>
                                    <?php echo $form->error($model, 'sentRecipients', array('class' => 'text-danger')); ?>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <?php echo $form->labelEx($model, 'sentCCRecipients'); ?>
                                    <?php echo $form->textField($model, 'sentCCRecipients', array(
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter email(s)',
                                        'aria-describedby' => 'sentCCRecipientsHelp',
                                        'maxlength' => 255
                                    )) ?>
                                    <small id="sentCCRecipientsHelp" class="form-text text-muted">separated by commas
                                    </small>
                                    <?php echo $form->error($model, 'sentCCRecipients', array('class' => 'text-danger')); ?>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <?php echo $form->labelEx($model, 'sentBCCRecipients'); ?>
                                    <?php echo $form->textField($model, 'sentBCCRecipients', array(
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter email(s)',
                                        'aria-describedby' => 'sentBCCRecipients',
                                        'maxlength' => 255
                                    )) ?>
                                    <small id="sentBCCRecipients" class="form-text text-muted">separated by commas
                                    </small>
                                    <?php echo $form->error($model, 'sentBCCRecipients', array('class' => 'text-danger')); ?>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <?php echo $form->labelEx($model, 'sentSubject'); ?>
                                    <?php echo $form->textField($model, 'sentSubject', array(
                                        'class' => 'form-control',
                                        'placeholder' => 'Enter subject',
                                        'maxlength' => 255
                                    )) ?>
                                    <?php echo $form->error($model, 'sentSubject', array('class' => 'text-danger')); ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <?php echo $form->labelEx($model, 'sentMessage'); ?>
                            <?php echo $form->textArea($model, 'sentMessage', array(
                                'rows' => 6, 'cols' => 50,
                                'class' => 'form-control',
                                'placeholder' => 'Enter message',
                                'maxlength' => 255
                            )) ?>
                            <?php echo $form->error($model, 'sentMessage', array('class' => 'text-danger')); ?>
                        </div>

                    </div>
                </div>
            </div>

            <!-- DOWNLOAD NOTIFICATIONS -->
            <h5 id="downloadnotification">Download Notification Receipts</h5>
            <div class="mb-4 position-relative">

                <small class="form-text text-muted">
                    Use this section to configure who will be notified via an email message when assets within the
                    partner's, "from", folder are viewed and/or downloaded.
                </small>


                <div class="row">
                    <div class="col-6">
                        <div class="form-group">
                            <?php echo $form->labelEx($model, 'downloadRecipients'); ?>
                            <?php echo $form->textField($model, 'downloadRecipients', array(
                                'class' => 'form-control',
                                'placeholder' => 'Enter email(s)',
                                'aria-describedby' => 'downloadRecipientsHelp',
                                'maxlength' => 255
                            )) ?>
                            <small id="downloadRecipientsHelp" class="form-text text-muted">separated by commas</small>
                            <?php echo $form->error($model, 'downloadRecipients', array('class' => 'text-danger')); ?>
                        </div>
                    </div>
                </div>

                <span class="mr-3">Notify On </span>
                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <?php echo $form->checkbox($model, 'downloadHiresStream', array('class' => 'form-check-input')) ?>
                        <?php echo $model->getAttributeLabel('downloadHiresStream') ?>
                    </label>
                </div>

                <div class="form-check form-check-inline">
                    <label class="form-check-label">
                        <?php echo $form->checkbox($model, 'downloadPreview', array('class' => 'form-check-input')) ?>
                        <?php echo $model->getAttributeLabel('downloadPreview') ?>
                    </label>
                </div>

            </div>

            <!-- ITEM RECEIVED -->
            <h5 id="itemreceived">Item Received</h5>
            <div class="row position-relative">
                <div class="col-10">

                    <small class="form-text text-muted">
                        Use this section to configure an email that is received internally when new items are placed
                        into the "From" folder by the partner.
                    </small>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <?php echo $form->labelEx($model, 'receivedFrom'); ?>
                                <?php echo $form->textField($model, 'receivedFrom', array(
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email',
                                    'maxlength' => 255
                                )) ?>
                                <?php echo $form->error($model, 'receivedFrom', array('class' => 'text-danger')); ?>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <?php echo $form->labelEx($model, 'receivedName'); ?>
                                <?php echo $form->textField($model, 'receivedName', array(
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter contact name',
                                    'maxlength' => 255
                                )) ?>
                                <?php echo $form->error($model, 'receivedName', array('class' => 'text-danger')); ?>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <?php echo $form->labelEx($model, 'receivedRecipients'); ?>
                                <?php echo $form->textField($model, 'receivedRecipients', array(
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email(s)',
                                    'aria-describedby' => 'receivedFromHelp',
                                    'maxlength' => 255
                                )) ?>
                                <small id="receivedFromHelp" class="form-text text-muted">separated by commas</small>
                                <?php echo $form->error($model, 'receivedRecipients', array('class' => 'text-danger')); ?>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <?php echo $form->labelEx($model, 'receivedCCRecipients'); ?>
                                <?php echo $form->textField($model, 'receivedCCRecipients', array(
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email(s)',
                                    'aria-describedby' => 'receivedCCRecipientsHelp',
                                    'maxlength' => 255
                                )) ?>
                                <small id="receivedCCRecipientsHelp" class="form-text text-muted">separated by commas
                                </small>
                                <?php echo $form->error($model, 'receivedCCRecipients', array('class' => 'text-danger')); ?>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="form-group">
                                <?php echo $form->labelEx($model, 'receivedBCCRecipients'); ?>
                                <?php echo $form->textField($model, 'receivedBCCRecipients', array(
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter email(s)',
                                    'aria-describedby' => 'receivedBCCRecipients',
                                    'maxlength' => 255
                                )) ?>
                                <small id="receivedBCCRecipients" class="form-text text-muted">separated by commas
                                </small>
                                <?php echo $form->error($model, 'receivedBCCRecipients', array('class' => 'text-danger')); ?>
                            </div>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <?php echo $form->labelEx($model, 'receivedSubject'); ?>
                                <?php echo $form->textField($model, 'receivedSubject', array(
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter subject',
                                    'maxlength' => 255
                                )) ?>
                                <?php echo $form->error($model, 'receivedSubject', array('class' => 'text-danger')); ?>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <?php echo $form->labelEx($model, 'receivedMessage'); ?>
                        <?php echo $form->textArea($model, 'receivedMessage', array(
                            'rows' => 6, 'cols' => 50,
                            'class' => 'form-control',
                            'placeholder' => 'Enter message',
                            'maxlength' => 255
                        )) ?>
                        <?php echo $form->error($model, 'receivedMessage', array('class' => 'text-danger')); ?>
                    </div>

                </div>
            </div>

            <div class="row mt-3position-relative" id="partner-buttons">
                <div class="col-10">
                    <div class="form-group  ml-1">
                        <?php $this->widget('bootstrap.widgets.TbButton', array(
                            'buttonType' => 'submit',
                            'type' => 'primary',
                            'label' => 'Save',
                        )); ?>
                        <?php echo CHtml::link('Cancel', Yii::app()->createUrl('admin/plugin/nTransitPlugin'),
                            array('class' => 'btn btn-secondary ml-2')); ?>
                    </div>
                </div>
            </div>
            <?php $this->endWidget(); ?>
        </div>
    </div>